Skip to main content
GET
/
v2
/
wallets
/
transfers
/
batches
List all batch crypto transfers
curl --request GET \
  --url https://production.hifibridge.com/v2/wallets/transfers/batches \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://production.hifibridge.com/v2/wallets/transfers/batches"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://production.hifibridge.com/v2/wallets/transfers/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 1,
  "records": [
    {
      "transferType": "WALLET.TRANSFER.BATCH",
      "transferDetails": {
        "id": "a671d42d-9417-4bb3-868e-06c868d0d4b8",
        "requestId": "d2189ddd-2d32-4a46-9421-d25ebf602e6c",
        "createdAt": "2025-04-05T14:01:09.785Z",
        "updatedAt": "2025-04-05T14:01:37.708Z",
        "chain": "POLYGON",
        "currency": "usdc",
        "contractAddress": "0x41e94eb019c0762f9bfcf9fb1e58725bfb0e7582",
        "status": "COMPLETED",
        "failedReason": null,
        "source": {
          "userId": "a1f70737-3844-4782-a321-ad481108a8ec",
          "walletAddress": "0xAFD59de44048D33d964f720ec2Dec3465D8D887D",
          "walletType": "INDIVIDUAL"
        },
        "destination": {
          "batch": [
            {
              "amount": "0.01",
              "userId": "a1f70737-3844-4782-a321-ad481108a8ec"
            },
            {
              "amount": "0.01",
              "userId": "a1f70737-3844-4782-a321-ad481108a8ec"
            },
            {
              "amount": "0.01",
              "userId": "a1f70737-3844-4782-a321-ad481108a8ec"
            },
            {
              "amount": "0.01",
              "userId": "a1f70737-3844-4782-a321-ad481108a8ec"
            },
            {
              "amount": "0.01",
              "userId": "a1f70737-3844-4782-a321-ad481108a8ec"
            }
          ]
        },
        "receipt": {
          "transactionHash": "0xeef52c844f72f41717f025b160a8e6b34ebcd22ea77b5e70fd6ab4c5a42e98af",
          "userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac"
        }
      }
    }
  ],
  "nextCursor": "2025-04-05T14:01:09.785Z"
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}
{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

userId
string

The user ID.

limit
string

default to 10, maximum to 100

createdBefore
string<date>

ISO format: YYYY-MM-DD

createdAfter
string<date>

ISO format: YYYY-MM-DD

Response

Success

count
integer
required
Example:

1

records
object[]
required
nextCursor
string<date-time>
required
Example:

"2025-04-05T14:01:09.785Z"